Bug 217846 - Window Decoration defective after suspend/resume
Window Decoration defective after suspend/resume
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 06:50 EST by Matthias Runge
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 17:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Buggy part at the upper application menu after resume (7.14 KB, image/png)
2007-01-06 10:03 EST, Tim Niemueller
no flags Details
What it should look like after resume (12.53 KB, image/png)
2007-01-06 10:07 EST, Tim Niemueller
no flags Details

  None (edit)
Description Matthias Runge 2006-11-30 06:50:45 EST
Description of problem:
After doing a suspend/resume cycle, window decoration is garbled. 

Version-Release number of selected component (if applicable):
[root@sofja ~]# rpm -q compiz
compiz-0.0.13-0.32.20060817git.fc6


How reproducible:
every time


Steps to Reproduce:
1. enable desktop effects (System/preferences/desktop events) (using gnome desktp)
2. suspend to ram
3. resume
  
Actual results:
window borders are defective.

Expected results:
Window borders as they looked before suspending.

Additional info:
System is a Thinkpad T43 with ATI Radeon X300.
Comment 1 Jesse Brandeburg 2006-12-23 19:07:49 EST
I have the same problem, more specifically, the toolbar at the top and bottom
has a few extra pixels that form a white bar the length of the screen.  I also
have an IBM t43 with stock FC6 + updates.  Everything is fine until I suspend. 
After suspend, things still work, but I have that permanent extra line(s) being
drawn.  Can we provide any more info?  I can upload a screenshot if necessary.

, kernel version
Linux jbrandeb-linux 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST 2006 i686
i686 i386 GNU/Linu

compiz: 
compiz-0.0.13-0.32.20060817git.fc6
Comment 2 Tim Niemueller 2007-01-06 10:03:55 EST
Created attachment 144971 [details]
Buggy part at the upper application menu after resume
Comment 3 Tim Niemueller 2007-01-06 10:07:49 EST
Created attachment 144972 [details]
What it should look like after resume

This small screenshot shows what it should look like. The lower part is the
"real" view with the same background as the buggy screenshot, the upper half
shows the same with white back ground to better see the shadow that should be
there.

Newly created windows do not have this problem. Disabling and re-enabling the
desktop effects also fixes the problem (but puts all windows on the first
desktop as for a short time there is no window manager).
Comment 4 Jesse Brandeburg 2007-05-19 15:51:09 EDT
is there any update on this bug?
Comment 5 Matthias Runge 2007-06-19 02:24:58 EDT
In F7 this bug does not exist. I'd close this bug. Thank you.
Comment 6 Matěj Cepl 2007-10-31 17:44:37 EDT
Closing per reporter's comment 5. Sorry, for letting this bug rot for so long.

Note You need to log in before you can comment on or make changes to this bug.